package com.hxhq.business.form.study;

import javax.validation.constraints.NotEmpty;

/**
 * 饲养间
 */
public class StudyRoomForm {

    /** 饲养间id */
    private Long id;

    /** 所属试验 */
    private Long studyId;

    /** 饲养间号 */
    @NotEmpty(message = "请选择饲养间号")
    private String syjh;

    /** 试验区域 */
    @NotEmpty(message = "请选择试验区域")
    private String syqy;

    /** 笼具 */
    @NotEmpty(message = "请选择笼具")
    private String lj;

    /** 动物种属 */
    @NotEmpty(message = "请选择动物种属")
    private String dwzs;

    /** 开始使用原因 */
    @NotEmpty(message = "请输入开始使用原因")
    private String kssyyl;

    /**
     * 签名人id
     */
    private Long qmrId;

    /**
     * 签名密码
     */
    private String qmrmm;

    /** 结束使用原因 */
    private String jssyyl;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public String getSyjh() {
        return syjh;
    }

    public void setSyjh(String syjh) {
        this.syjh = syjh;
    }

    public String getSyqy() {
        return syqy;
    }

    public void setSyqy(String syqy) {
        this.syqy = syqy;
    }

    public String getLj() {
        return lj;
    }

    public void setLj(String lj) {
        this.lj = lj;
    }

    public String getDwzs() {
        return dwzs;
    }

    public void setDwzs(String dwzs) {
        this.dwzs = dwzs;
    }

    public String getKssyyl() {
        return kssyyl;
    }

    public void setKssyyl(String kssyyl) {
        this.kssyyl = kssyyl;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getJssyyl() {
        return jssyyl;
    }

    public void setJssyyl(String jssyyl) {
        this.jssyyl = jssyyl;
    }
}
